/***********************************************************
  文件名：02_1activeBuzzer.ino
  描述：Arduino uno 控制蜂鸣器发出sos求救声。
  作者：chenzhiqiang
  日期：2022.10.15
  有源蜂鸣器模拟SOS信号\蜂鸣器：D9
***********************************************************/


int buzzerPin = 9; //定义数字9引脚为控制蜂鸣器的引脚
void setup(){
  pinMode(buzzerPin, OUTPUT);//设置数字9口模式，OUTPUT为输出
}


void loop(){
  
  my_3duan();//蜂鸣器频率快响三次
  delay(500);//设置延迟时间，500ms
  my_3chang();//蜂鸣器频率慢响三次
  delay(500);//设置延迟时间，500ms
  my_3duan();//蜂鸣器频率快响三次
  delay(500);//设置延迟时间，500ms

}
void my_3duan() {  
  //蜂鸣器频率快响三次函数
  for (int i = 1; i <= 3; i = i + (1)) {
    digitalWrite(buzzerPin,HIGH);
    delay(200);
    digitalWrite(buzzerPin,LOW);
    delay(200);
  }
}

void my_3chang() {
  //蜂鸣器频率慢响三次函数
  for (int i = 1; i <= 3; i = i + (1)) {
    digitalWrite(buzzerPin, HIGH); 
    delay(400);
    digitalWrite(buzzerPin, LOW);
    delay(400);
  }
}
